> For the complete documentation index, see [llms.txt](https://apidocs.abit.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.abit.vn/san-pham/danh-sach-san-pham-ton-kho.md).

# Danh sách sản phẩm (Tồn kho)

URL API: [https://new.abitstore.vn](https://new.abitstore.vn/products/listProductsWithStockforPartner)

<mark style="color:green;">`POST /`</mark>`products/listProductsWithStockforPartner`

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

<table><thead><tr><th width="149">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token</td><td>string</td><td>Mã Access token được khởi tạo và cấp quyền bởi chủ tài khoản Abit, Xem hướng dẫn tạo <a href="/pages/t1tDBWKqV56vJX2nCGS3#khoi-tao-access-token"><mark style="color:red;"><strong>Access Token</strong></mark> </a></td></tr><tr><td>partner_name</td><td>string</td><td>Mã shop khi đăng ký Abit</td></tr><tr><td>productcode</td><td>string</td><td>Mã hàng sản phẩm, dùng khi bạn muốn lấy <mark style="color:$danger;"><strong>tồn kho một mã hàng</strong></mark> trên tài khoản của shop</td></tr><tr><td>productstoreid</td><td>int</td><td>ID kho hàng, chi nhánh</td></tr><tr><td>page</td><td>int</td><td>Phân trang, lấy kết quả ở trang thứ mấy, mặc định giá trị là <strong>0</strong></td></tr><tr><td>limit</td><td>int</td><td>Giới hạn kết quả trả ra, mặc định là <strong>10</strong></td></tr></tbody></table>

{% tabs %}
{% tab title="Body" %}

```json
{
  "access_token":"Zjg5ZDYzNmFmOGFkYmQwODVmMzVmOWM4YTRlMDFiMWQ=",
  "partner_name":"Abit",
  "productcode":"ABC-001",
  "productstoreid":1,
  "page": 0,
  "limit": 2
}
```

{% endtab %}

{% tab title="Response" %}

```json
[
    {
        "productcode": "240L-VANG",
        "productname": "Thùng rác nhựa 240L - HDPE giá rẻ - Vàng - 240L-VANG",
        "alias": null,
        "usageunit": "Cái",
        "gia_daily": "979000.000",
        "unit_price": "979000.000",
        "imagename": "[{\"isDefault\":true,\"imgSrc\":\"https://cf.shopee.vn/file/773548b499f1ac822ad6baab61ae3884\"}]",
        "productid": 86184674,
        "weight": "11000",
        "taxpercentage": "0.000",
        "vitri": "",
        "inventorytype": 0,
        "created_at": "2025-11-05 22:51:55",
        "updated_at": "2025-11-05 22:51:55",
        "status": 1,
        "tonkho_toithieu": 0,
        "tonkho_toida": 0,
        "default_image": null,
        "short_description": "",
        "description": "",
        "productcategory": "",
        "brandid": 0,
        "brandname": "",
        "slton": "161.000",
        "tong_hang_dang_ve": "10"
    },
    {
        "productcode": "HTD100810000",
        "productname": "HTĐ 100810",
        "alias": null,
        "usageunit": "Hộp",
        "gia_daily": "260000.000",
        "unit_price": "360000.000",
        "imagename": "[{\"id\":1,\"isDefault\":true,\"imgSrc\":\"https://d3c8heq3znktqo.cloudfront.net/wp-content/uploads/2018/01/31204546/GoodInstagramPhotos-940x627.jpeg\"},{\"id\":2,\"isDefault\":false,\"imgSrc\":\"https://c.tadst.com/gfx/750x500/moon-photography-camera.jpg\"}]",
        "productid": 85898210,
        "weight": "100",
        "taxpercentage": "10.000",
        "vitri": "",
        "inventorytype": 0,
        "created_at": "2025-10-30 08:11:50",
        "updated_at": "2025-10-30 08:11:50",
        "status": 1,
        "tonkho_toithieu": 5,
        "tonkho_toida": 250,
        "default_image": null,
        "short_description": "",
        "description": "",
        "productcategory": "0",
        "brandid": 0,
        "brandname": "",
        "slton": 4,
        "tong_hang_dang_ve": 3
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.abit.vn/san-pham/danh-sach-san-pham-ton-kho.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
